.imageWrapper {
  position: relative;
  width: 100%;
  height: 600px;
  overflow: hidden;
  margin-top: 20px;
}

.introWrapper2 {
  width: 100%;
  aspect-ratio: 440/217;
  position: relative;
  
  margin-bottom: var(--block-padding);
}
.intro2Application {
  width: 100%;
  aspect-ratio: 440/217;
  position: relative;
  border-radius: var(--big-border-radius);
  overflow: hidden;
}
.introBackground2 {
  position: absolute;
  width: 100%;
  top: 0;
  left: 0;
  border-radius: var(--big-border-radius);
}
.introDrone2 {
  position: absolute;
  right: 25%;
  top: 10.38%;
  width: 34%;

  transition: all 0.2s ease;
}
.introWrapper2:hover .introDrone2 {
  /* animation: livitation ease-in-out infinite 5s; */
  transform: scale(1.1);
}
.introText2 {
  position: absolute;
  left: 0;
  top: 0;
  width: 650px;
  z-index: 4;

  border-bottom-right-radius: var(--big-border-radius);
}
.introText2 h1 {
  display: inline-block;
  background-color: var(--black);
  width: fit-content;
  position: relative;
}
.introText2 h1:nth-child(1) {
  padding: 0 24px 6px 0;
  border-bottom-right-radius: var(--big-border-radius);
  max-width: 625px;
}
.introText2 h1:nth-child(1) svg {
  position: absolute;
  left: 100%;
  top: 0;
  width: 40px;
  height: 40px;
  fill: var(--black);
}

.introText2 h1:nth-child(2) {
  max-width: 80%;
  padding: 0 24px 24px 0;
  border-bottom-right-radius: var(--big-border-radius);
}
.introText2 h1:nth-child(2) svg {
  position: absolute;
  left: 100%;
  top: 0;
  width: 40px;
  height: 40px;
  fill: var(--black);
}
.introText2 .borderRadius2 {
  position: absolute;
  top: 100%;
  left: 0;
  width: 40px;
  height: 40px;
  fill: var(--black);
}
.introIcons2 {
  position: absolute;
  right: 32px;
  top: 32px;
  display: flex;
  align-items: center;
  gap: 16px;
}
.introParagraph2 {
  position: absolute;
  left: 32px;
  bottom: 32px;
  color: var(--lightgrey);
  width: 100%;
  max-width: 260px;
}
.introProductBlock2 {
  position: absolute;
  bottom: 0;
  right: 0;
  padding: 20px 0 0 20px;
  background-color: var(--black);
  border-top-left-radius: var(--big-border-radius);
  color: #32d16c36;
}

.introItemCard2 {
  position: absolute;
}
.introProductBlock2 .borderRadius1 {
  position: absolute;
  right: 0;
  bottom: 100%;
  width: 24px;
  height: 24px;
  fill: var(--black);


}
.introProductBlock2 .borderRadius2 {
  position: absolute;
  right: 100%;
  bottom: 0;
  width: 24px;
  height: 24px;
  fill: var(--black);
}

.blackItemCard {
  display: flex;
  align-items: center;
  gap: 16px;
  padding: 12px;
  border-radius: 20px;
  background-color: var(--graycards);
  color: #fff;
}
.intro2ItemCard .itemCard-image {
  aspect-ratio: 181 / 99;
  width: 181px;
  position: relative;
  background-color: #456276;
  border-radius: 8px;
}
.intro2ItemCard .itemCard-image img {
  position: absolute;
  left: 50%;
  top: 50%;

  width: calc(100% - 8px);
  max-width: 140px;
  transform: translateY(-50%) translateX(-50%);
}
.blackItemCardInfo {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 24px;
}
.aboutButtonGroup {
  display: flex;
  gap: 16px;
}
.aboutButtonGroupSection {
  display: none;
}
.ratingElementsWrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-bottom: var(--block-padding);
  border-top: 1px solid var(--grey);
}
.ratinItem {
  width: 100%;
  padding: 43px 0;
  display: flex;
  align-items: center;
  justify-content: space-between;
  border-bottom: 1px solid var(--grey);
}
.ratinItem div {
  display: flex;
  align-items: center;
  width: 70%;
}
.ratinItem h1 {
  width: 100%;
  max-width: 316px;
}
.ratinItem h1 span {
  color: var(--green);
  font-size: var(--decor-font-size);
}
.ratinItem h3 {
  text-align: left;
}
.ratinItem p {
  color: var(--lightgrey);
 width: 30%;
  text-align: left;
}
.buttonSeparator {
  padding-bottom: var(--block-padding)!important;
}
.сhartsWrapper {
  display: flex;
  flex-direction: column;
  gap: 20px;
  align-items: center;
  padding-bottom: var(--block-padding);
}
.chartsContentWrapper {
  display: flex;
  flex-direction: column;
  gap: 20px;
  align-items: center;
  width: 100%;
}
.chartDashboard {
  display: flex;
  align-items: flex-start;
  gap: 56px;
  padding: 32px;
  border-radius: var(--big-border-radius);
  background-color: var(--graycards);
  width: 100%;
}
.dashboardItem {
  width: 32%;
}
.dashboardItem svg {
  width: 100%;
  height: auto;
}
.dashboardItem h3 {
  margin-bottom: 24px;
}
.chartItem {
  display: flex;
  gap: 12px;
}

.chartItemColumn {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 12px;
  width: 24%;
  color: var(--lightgrey);
}
.diagrameItemColumn {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 12px;
  width: 100%;
  color: var(--lightgrey);
}
.animatedWaterElement {
  animation: fillAnimationWater 1s forwards ease-in-out;
}
.animatedFuelElement {
  animation: fillAnimationFuel 1s forwards ease-in-out;
}
.chart-fill {
  transform-origin: bottom; /* Анимация начинается снизу */
  transition: height 1s ease-in-out, y 2s ease;
}

/* Анимация для подъема графиков */
.animate-bar {
  animation: raiseBar 2s forwards ease-in-out;
}
.chartItemColumn p {
  color: var(--lightgrey);
}
.benefitsContent {
  display: flex;
  align-items: center;
  gap: 20px;
  width: 100%;
  padding: 32px;
  border-radius: var(--big-border-radius);
  background-color: var(--graycards);
  width: 100%;
}
.benefitItem {
  display: flex;
  align-items: center;
  padding: 12px;
  border-radius: var(--small-border-radius);
  background-color: var(--grey);
  gap: 16px;
  color: var(--lightgrey);
  width: 24%;
}
.chartItemColumn p span {
  color: var(--green);
}

.jobStepsWrapper {
  display: flex;
  align-items: center;
  gap: 20px;
  padding-bottom: var(--block-padding);
}
.jobStepSwiperBlock {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 100%;
}
.jobStepSwiperBlock h2 {
  margin-bottom: var(--chapter-padding);
}
.jobStepSvgAnimationBlock {
  padding: 32px;
  border-radius: var(--big-border-radius);
  background-color: var(--graycards);
  display: flex;
  flex-direction: column;
  gap: 12px;
}
.jobStepSvgAnimationBlock svg {
  width: 100%;
}
.jobStepSvgAnimationBlock .p {
  color: var(--lightgrey);
  margin-bottom: 12px;
}
.substancesListWrapper {
  padding-bottom: var(--block-padding);
  display: flex;
  flex-direction: column;
  gap: 80px;
}
.substancesListWrapper h2 {
  max-width: 1040px;
}
.substancesListWrapper h2 img {
  max-height: 1em;
  vertical-align: middle;
  margin-left: 8px;
  margin-right: 8px;
}
.substanceList {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  gap: 20px;
}
.substanceListBlock {
  display: flex;
  align-items: center;
  width: 100%;
  flex-wrap: wrap;
  gap: 20px;
}
.substanceListBlockFull {
  display: none;
  align-items: center;
  width: calc((100% - 20px) / 2);
  flex-wrap: wrap;
  gap: 20px;
}
.substanceListItem {
  flex-grow: 1;
  width: calc((100% - 60px) / 4);
  padding: 24px;
  display: flex;
  flex-direction: column;
  gap: 16px;
  aspect-ratio: 1 / 1;
  border-radius: var(--big-border-radius);
  
  /* height: 315px;
  max-height: 315px; */
  position: relative;
}
.substanceListItem.grey {
  background-color: var(--graycards);
}
.substanceListItem .markedlistDefault {
  max-height: 220px;
}
.substanceListItem .inseract1 {
  position: absolute;
  left: 100%;
  top: 100%;
  transform: translateX(-40%) translateY(-40%);
}
.substanceListItem button {
  width: fit-content;
}
.substanceListItem .borderRadius1 {
  position: absolute;
  top: 0;
  right: 0;
}
.substanceList p {
  margin-bottom: 8px;
  color: var(--lightgrey);
}
.substanceListSwiper {
  display: none;
}
@media (max-width: 1300px) {
  .chartDashboard {
    gap: 30px;
  }
}
@media (max-width: 1250px) {
  .substanceListItem p {
    font-size: 14px;
  }
  .substanceListItem {
    width: calc((100% - 40px) / 3);
    flex-grow: unset;
  }
  .substanceListItem:nth-child(1) {
    order: 1;
  }
  .substanceListItem:nth-child(2) {
    order: 2;
  }
  .substanceListItem:nth-child(3) {
    order: 3;
  }
  .substanceListItem:nth-child(4) {
    order: 8;
  }
  .substanceListItem:nth-child(5) {
    order: 4;
  }
  .substanceListItem:nth-child(6) {
    order: 5;
  }
  .substanceListItem:nth-child(7) {
    order: 6;
  }
  .substanceListItem:nth-child(8) {
    order: 7;
  }
  /* .substanceListBlock:nth-child(2) .substanceListItem:nth-child(2),
  .substanceListBlock:nth-child(2) .substanceListItem:nth-child(4) {
    display: none;
  }
  .substanceListBlock:nth-child(1) {
    width: calc((100% - 40px) / 3 * 2);
  }
  .substanceListBlock:nth-child(2) {
    flex-direction: column;
    width: calc((100% - 40px) / 3);
  }
  .substanceListBlock:nth-child(2) .substanceListItem {
    width: 100%;
  }
  .substanceListBlockFull {
    display: flex;
    width: calc((100% - 20px) / 3 * 2);
  }
  .substanceListBlockFull .substanceListItem:nth-child(1) {
    order: 2;
  }
  .substanceListBlockFull .substanceListItem:nth-child(2) {
    order: 1;
  } */
  .substanceList {
    flex-wrap: wrap;
  }
}


@media (max-width: 1200px) {
  .chartItemColumn p {
    font-size: 14px;
  }
  .diagrameItemColumn p {
    font-size: 14px;
  }
  .introText2 h1:first-child {
    max-width: 420px;
  }
  .introIcons2 {
    gap: 12px;
  }
  .introIcons2 img {
    width: 64px;
  }
  /* .substanceList {
    flex-direction: column;
  } */
  /* .substanceListBlock{
    width: 100%;
    max-width: 720px;
    height: fit-content;
  } */
  .ratinItem {
    padding: 24px 0;
  }
}
@media (max-width: 1100px) {
  .chartsContentWrapper {
    flex-direction: row;
    gap: 12px;
    
    align-items: center;
  }
  .сhartsWrapper {
gap: 12px;
  }
  .chartDashboard {
    flex-direction: column;
    padding: 24px 16px;
    border-radius: 32px;
  }
  .сhartsWrapper {
  }
  .dashboardItem {
    width: 100%;
  }
  .benefitsContent {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    padding: 16px;
    gap: 12px;
    border-radius: 32px;
   
  }
  .benefitItem {
    width: calc((100% - 12px) / 2);
    border-radius: 16px;
  }
  /* .jobStepsWrapper {
    flex-direction: column;
  } */
  /* .jobStepSwiperBlock {
    order: 2;
  }
  .jobStepSvgAnimationBlock {
    order: 1;
  } */
  .introProductBlock2 {
    border-top-left-radius: 36px!important;
    padding: 16px 0  0 16px ;
  }
  .introParagraph2 {
    left: 20px;
    bottom: 20px;
  }
  .swiperJobsSteps {
    max-width: 394px!important;
  }
  .swiperJobsSteps .swiperSlideContent {
    padding: 20px 20px 90px 20px;
  }
  .jobStepSvgAnimationBlock {
    padding: 20px;
  }
  .substancesListWrapper {
    gap: 32px;
  }
  
}
@media (max-width: 950px) {
  .substanceListItem {
    width: calc((100% - 20px) / 2);
    flex-grow: unset;
  }
  .substanceListItem:nth-child(1) {
    order: 1;
  }
  .substanceListItem:nth-child(2) {
    order: 2;
  }
  .substanceListItem:nth-child(3) {
    order: 5;
  }
  .substanceListItem:nth-child(4) {
    order: 6;
  }
  .substanceListItem:nth-child(5) {
    order: 7;
  }
  .substanceListItem:nth-child(6) {
    order: 4;
  }
  .substanceListItem:nth-child(7) {
    order: 3;
  }
  .substanceListItem:nth-child(8) {
    order: 8;
  }
}
@media (max-width: 900px) {
  .introText2 {
    position: static;
    margin-bottom: 24px;
    width: 100%;
    display: flex;
    flex-direction: column;
  }
  .introText2 h1 {
    max-width: 390px !important;
    padding: 0 !important;
  }
  .introWrapper2 {
    aspect-ratio: unset;
  }
  .introText2 .borderRadius1 {
    display: none;
  }
  .introProductBlock2 {
    position: static;
    padding-left: 0;
  }
  .ratinItem {
    flex-direction: column;
    align-items: flex-start;
    gap: 8px;
    padding: 8px 0;
  }
  .ratinItem div {
    gap: 16px;
  }
  .ratinItem div h1 {
    width: auto;
  }
.aboutButtonGroup.pc {
  display:none ;
}
  .aboutButtonGroupSection {
    display: block;
    
  }
  .ratingElementsWrapper {
    padding-bottom: 32px;
  }
}
@media (max-width: 800px) {
  .jobStepSvgAnimationBlock {
    padding: 16px;
    order: 1;
  }
  .jobStepSwiperBlock {
    padding: 0;
    order: 2;
  }
 
    .blackItemCard {
      gap: 12px;
      padding: 8px;
    }
    .blackItemCardInfo {
      gap: 16px;
    }
  
  .jobStepsWrapper  {
    flex-direction: column;
    gap: 12px;
  }
  .jobStepsWrapper h2 {
margin-bottom: 20px;
  }
  .ratinItem p {
    width: 100%;
  }
}
@media (max-width: 670px) {
  .chartsContentWrapper {
    flex-direction: column;
  }
  .aboutButtonGroup {
    flex-direction: column;
    width: 100%;
    gap: 12px;
    margin-bottom: 32px;
  }
  .aboutButtonGroup a {
    width: 100%;
  }
  .ratingElementsWrapper {
    padding-bottom: 32px;
  }
}
@media(max-width:600px) {
  .substanceList {
    display: none;
  }
  .substanceListItem {
    width: 100%;
    min-height: 380px;
    padding: 0 0 10px 0;
  }
  .substanceListSwiper {
    display: block;
    
  }
  .substanceListItem .markedlistDefault {
    max-height: 300px;
  }
  .substanceListSwiper .swiperSlideContent{
    padding-bottom: 50px;
  }
  .introProductBlock2 {
    padding-top: 12px;
  }
  .intro2ItemCard {
    height: 100px;
   
  }
  
  .intro2ItemCard .itemCard-image {
    aspect-ratio: unset;
    width: 100%;
    height: 100%;
    max-width: 140px;
  }
  .intro2ItemCard .itemCard-image img {
max-width: 90%;
width: 100%;
  }
  .intro2ItemCard {
    border-radius: 16px;
  }
}
@media (max-width: 550px) {
  .introBackground2 {
    height: 100%;

    left: -40%;
    width: auto;
  }
  .intro2Application {
    aspect-ratio: 388 /349;
  }
  
}
@media (max-width: 500px) {
  .benefitItem {
    width: 100%;
  }
}
@keyframes fillAnimationWater {
  from {
    stroke-dashoffset: 954;
  }

  to {
    stroke-dashoffset: 99;
  }
}
@keyframes fillAnimationFuel {
  from {
    stroke-dashoffset: 954;
  }

  to {
    stroke-dashoffset: 184;
  }
}

@keyframes raiseBar {
  from {
    height: 50;
    y: 270;
  }
  to {
    height: var(--final-height); /* Высота из переменной */
    y: var(--final-y); /* Координата y из переменной */
  }
}
@keyframes livitation {
  0% {
    transform: translateY(0);
  }
  25% {
    transform: translateY(-9px);
  }
  50% {
    transform: translateY(0);
  }
  75% {
    transform: translateY(-9px);
  }
  100% {
    transform: translateY(0);
  }
}
